/**************************************************************************
*  GuiTAR - A General Tool for Anaphora Resolution
*  Copyright (C) 2004-2007
*  Mijail Kabadjov, Massimo Poesio, Olivia Sanchez-Graillet, Philippe Goux
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License along
*  with this program; if not, write to the Free Software Foundation, Inc.,
*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
**************************************************************************/

import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.IOException;
import java.util.Vector;

import uk.ac.essex.malexa.nlp.dp.GuiTAR.eval.AnaphoraResolutionEvaluation; //Anaphora Resolution Evaluation

public class GTAR_Evaluation {
    public static Vector readParameters(String args[]) {
        String fileName = null;
        Vector<String> result = new Vector<String>();
        Vector<String> npTypes = new Vector<String>();
        String parsed = null;
        for (int i = 0; i < args.length; i++) {
            String param = args[i];
            if (param.substring(0, 2).equalsIgnoreCase("-f"))
                fileName = param.substring(2);
            else if (param.equalsIgnoreCase("-p"))
                parsed = "Y";
            else
                npTypes.add(param);
        }
        result.add(fileName);
        result.addAll(npTypes);
        result.add(parsed);
        return result;
    }


    public void evaluate(Vector fileNames, Vector npTypes, boolean parsed) {
        AnaphoraResolutionEvaluation are = new AnaphoraResolutionEvaluation();
        for (int i = 0; i < fileNames.size(); i++) {
            if (parsed)
                are.processFile((String) fileNames.elementAt(i), "Parsed" + (String) fileNames.elementAt(i), npTypes);
            else
                are.processFile((String) fileNames.elementAt(i), npTypes);
        }
    }


    //Main method for testing
    public static void main(String args[]) throws IOException {
        Vector parameters = readParameters(args);
        boolean parsed = ((String) parameters.elementAt(2)) != null;
        if (((String) parameters.elementAt(0)) == null) {
            BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
            String fileName = in.readLine();
            while (fileName != null) {
                AnaphoraResolutionEvaluation are = new AnaphoraResolutionEvaluation();
                if (parsed) are.processFile(fileName, "Parsed" + fileName, (Vector) parameters.elementAt(1));
                else are.processFile(fileName, (Vector) parameters.elementAt(1));
                fileName = in.readLine();
            }
        } else {
            AnaphoraResolutionEvaluation are = new AnaphoraResolutionEvaluation();
            if (parsed) are.processFile((String) parameters.elementAt(0), "Parsed" + (String) parameters.elementAt(0), (Vector) parameters.elementAt(1));
            else are.processFile((String) parameters.elementAt(0), (Vector) parameters.elementAt(1));
        } //end if-else
    }
}

