/**************************************************************************
*  GuiTAR - A General Tool for Anaphora Resolution
*  Copyright (C) 2004-2007
*  Mijail Kabadjov, Massimo Poesio, Olivia Sanchez-Graillet, Philippe Goux
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License along
*  with this program; if not, write to the Free Software Foundation, Inc.,
*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
**************************************************************************/


package uk.ac.essex.malexa.nlp.dp.GuiTAR;


/**
 * A general interface for Anaphora Resolution Modules.
 * @author Mijail A. Kabadjov
 * @version 1.1
 */
public interface AnaphoraResolution {

	/**
	 * The main anaphora resolution method to be deployed by implementing classes.
	 * @param discourseModel The ongoing DiscourseModel to be searched for potential antecedents
	 * @return Cf The proposed antecedent, null if no match
	 */
	public Cf resolveAnaphor( DiscourseModel discourseModel );

} //end interface AnaphoraResolution
