/**************************************************************************
*  GuiTAR - A General Tool for Anaphora Resolution
*  Copyright (C) 2004-2007
*  Mijail Kabadjov, Massimo Poesio, Olivia Sanchez-Graillet, Philippe Goux
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License along
*  with this program; if not, write to the Free Software Foundation, Inc.,
*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
**************************************************************************/

package uk.ac.essex.malexa.nlp.dp.GuiTAR.la;


/**
 * An interface that defines the lexical bahaviour of a word, namely what type of information should
 * be made available.
 */
public interface LexicalEntry {

	/**
	 * Returns the original word.
	 * @return String The word entry
	 */
	public String getWordString();

	/**
	 * Returns the part-of-speech of the word.
	 * @return String The pos
	 */
	public String getPartOfSpeech();
                   
	/**
	 * Returns the dictionary entry of the word (base form) after disambiguation.
	 * @return String The lemma
	 */
	public String getLemma();




} //End interface LexicalEntry

